%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-XML-Writer
Version:       0.625
Release:       1mamba
Summary:       perl :: XML-Writer - Simple Perl module for writing XML documents
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/XML/XML-Writer-%{version}.tar.gz
License:       Artistic License
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: perl-Pod-Coverage
BuildRequires: perl-Test-Pod
BuildRequires: perl-Test-Pod-Coverage
Requires:      perl >= %perl_major_ver
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
XML::Writer is a simple Perl module for writing XML documents.

%prep
%setup -q -n XML-Writer-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Jul 07 2014 Automatic Build System <autodist@mambasoft.it> 0.625-1mamba
- automatic update by autodist

* Wed Feb 19 2014 Automatic Build System <autodist@mambasoft.it> 0.624-1mamba
- automatic update by autodist

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 0.623-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 0.622-1mamba
- automatic version update by autodist

* Sun Apr 21 2013 Automatic Build System <autodist@mambasoft.it> 0.621-1mamba
- automatic version update by autodist

* Sun Nov 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.615-2mamba
- perl 5.16 mass rebuild

* Fri Jan 27 2012 Automatic Build System <autodist@mambasoft.it> 0.615-1mamba
- automatic version update by autodist

* Wed Mar 16 2011 Automatic Build System <autodist@mambasoft.it> 0.612-1mamba
- automatic update by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.606-1mamba
- automatic update by autodist

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.603-2mamba
- automatic rebuild by autodist

* Wed Nov 07 2007 Aleph0 <aleph0@openmamba.org> 0.603-1mamba
- update to 0.603

* Thu Oct 07 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-2qilnx
- rebuilt and moved from devel-contrib to devel branch

* Wed Sep 22 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.4-1qilnx
- first build
